Calendars
Date and time calculations

## Classes

class | Argentina
| Argentinian calendars. More...
class | Australia
| Australian calendar. More...
class | BespokeCalendar
| Bespoke calendar. More...
class | Brazil
| Brazilian calendar. More...
class | Canada
| Canadian calendar. More...
class | China
| Chinese calendar. More...
class | CzechRepublic
| Czech calendars. More...
class | Denmark
| Danish calendar. More...
class | Finland
| Finnish calendar. More...
class | Germany
| German calendars. More...
class | HongKong
| Hong Kong calendars. More...
class | Hungary
| Hungarian calendar. More...
class | Iceland
| Icelandic calendars. More...
class | India
| Indian calendars. More...
class | Indonesia
| Indonesian calendars More...
class | Italy
| Italian calendars. More...
class | Japan
| Japanese calendar. More...
class | JointCalendar
| Joint calendar. More...
class | Mexico
| Mexican calendars More...
class | NewZealand
| New Zealand calendar. More...
class | Norway
| Norwegian calendar. More...
class | NullCalendar
| Calendar for reproducing theoretical calculations. More...
class | Poland
| Polish calendar. More...
class | Russia
| Russian calendars. More...
class | SaudiArabia
| Saudi Arabian calendar. More...
class | Singapore
| Singapore calendars More...
class | Slovakia
| Slovak calendars. More...
class | SouthAfrica
| South-African calendar. More...
class | SouthKorea
| South Korean calendars. More...
class | Sweden
| Swedish calendar. More...
class | Switzerland
| Swiss calendar. More...
class | Taiwan
| Taiwanese calendars. More...
class | TARGET
| TARGET calendar More...
class | Turkey
| Turkish calendar. More...
class | Ukraine
| Ukrainian calendars. More...
class | UnitedKingdom
| United Kingdom calendars. More...
class | UnitedStates
| United States calendars. More...
class | WeekendsOnly
| Weekends-only calendar. More...

## Enumerations

enum | Market { Merval }
enum | Market { Settlement, Exchange }
| Brazilian calendars. More...
enum | Market { Settlement, TSX }
enum | Market { SSE, IB }
enum | Market { PSE }
enum | Market { Settlement, FrankfurtStockExchange, Xetra, Eurex, Euwax }
| German calendars. More...
enum | Market { HKEx }
enum | Market { ICEX }
enum | Market { NSE }
enum | Market { BEJ, JSX, IDX }
enum | Market { Settlement, Exchange }
| Italian calendars. More...
enum | Market { BMV }
enum | Market { Settlement, MOEX }
| Russian calendars. More...
enum | Market { Tadawul }
enum | Market { SGX }
enum | Market { BSSE }
enum | Market { Settlement, KRX }
enum | Market { TSEC }
enum | Market { USE }
enum | Market { Settlement, Exchange, Metals }
| UK calendars. More...
enum | Market { Settlement, NYSE, GovernmentBond, NERC }
| US calendars. More...

## Detailed Description

The class `QuantLib::Calendar` provides the interface for determining whether a date is a business day or a holiday for a given exchange or a given country, and for incrementing/decrementing a date of a given number of business days. A number of calendars is contained in the `ql/Calendars` directory.

## Enumeration Type Documentation

enum Market

Enumerator
Merval | Buenos Aires stock exchange calendar.

enum Market

Brazilian calendars.

Enumerator
Settlement | generic settlement calendar
Exchange | BOVESPA calendar.

enum Market

Enumerator
Settlement | generic settlement calendar
TSX | Toronto stock exchange calendar.

enum Market

Enumerator
SSE | Shanghai stock exchange.
IB | Interbank calendar.

enum Market

Enumerator
PSE | Prague stock exchange.

enum Market

German calendars.

Enumerator
Settlement | generic settlement calendar
FrankfurtStockExchange | Frankfurt stock-exchange.
Xetra | Xetra.
Eurex | Eurex.
Euwax | Euwax.

enum Market

Enumerator
HKEx | Hong Kong stock exchange.

enum Market

Enumerator
ICEX | Iceland stock exchange.

enum Market

Enumerator
NSE | National Stock Exchange.

enum Market

Enumerator
BEJ | Jakarta stock exchange (merged into IDX)
JSX | Jakarta stock exchange (merged into IDX)
IDX | Indonesia stock exchange.

enum Market

Italian calendars.

Enumerator
Settlement | generic settlement calendar
Exchange | Milan stock-exchange calendar.

enum Market

Enumerator
BMV | Mexican stock exchange.

enum Market

Russian calendars.

Enumerator
Settlement | generic settlement calendar
MOEX | Moscow Exchange calendar.

enum Market

Enumerator
Tadawul | Tadawul financial market.

enum Market

Enumerator
SGX | Singapore exchange.

enum Market

Enumerator
BSSE | Bratislava stock exchange.

enum Market

Enumerator
Settlement | Public holidays.
KRX | Korea exchange.

enum Market

Enumerator
TSEC | Taiwan stock exchange.

enum Market

Enumerator
USE | Ukrainian stock exchange.

enum Market

UK calendars.

Enumerator
Settlement | generic settlement calendar
Exchange | London stock-exchange calendar.

enum Market

US calendars.

Enumerator
Settlement | generic settlement calendar
NYSE | New York stock exchange calendar.
GovernmentBond | government-bond calendar
NERC | off-peak days for NERC